# Magic Cloud Networking # Catalog Syncs ## List Catalog Syncs `client.magicCloudNetworking.catalogSyncs.list(CatalogSyncListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/magic/cloud/catalog-syncs` List Catalog Syncs (Closed Beta). ### Parameters - `params: CatalogSyncListParams` - `account_id: string` ### Returns - `CatalogSyncListResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const catalogSyncListResponse of client.magicCloudNetworking.catalogSyncs.list({ account_id: 'account_id', })) { console.log(catalogSyncListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "description": "description", "destination_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "destination_type": "NONE", "last_user_update_at": "last_user_update_at", "name": "name", "policy": "policy", "update_mode": "AUTO", "errors": { "foo": { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } }, "includes_discoveries_until": "includes_discoveries_until", "last_attempted_update_at": "last_attempted_update_at", "last_successful_update_at": "last_successful_update_at" } ], "success": true } ``` ## Read Catalog Sync `client.magicCloudNetworking.catalogSyncs.get(stringsyncId, CatalogSyncGetParamsparams, RequestOptionsoptions?): CatalogSyncGetResponse` **get** `/accounts/{account_id}/magic/cloud/catalog-syncs/{sync_id}` Read a Catalog Sync (Closed Beta). ### Parameters - `syncId: string` - `params: CatalogSyncGetParams` - `account_id: string` ### Returns - `CatalogSyncGetResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const catalogSync = await client.magicCloudNetworking.catalogSyncs.get( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(catalogSync.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "description": "description", "destination_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "destination_type": "NONE", "last_user_update_at": "last_user_update_at", "name": "name", "policy": "policy", "update_mode": "AUTO", "errors": { "foo": { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } }, "includes_discoveries_until": "includes_discoveries_until", "last_attempted_update_at": "last_attempted_update_at", "last_successful_update_at": "last_successful_update_at" }, "success": true } ``` ## Create Catalog Sync `client.magicCloudNetworking.catalogSyncs.create(CatalogSyncCreateParamsparams, RequestOptionsoptions?): CatalogSyncCreateResponse` **post** `/accounts/{account_id}/magic/cloud/catalog-syncs` Create a new Catalog Sync (Closed Beta). ### Parameters - `params: CatalogSyncCreateParams` - `account_id: string` Path param - `destination_type: "NONE" | "ZERO_TRUST_LIST"` Body param - `"NONE"` - `"ZERO_TRUST_LIST"` - `name: string` Body param - `update_mode: "AUTO" | "MANUAL"` Body param - `"AUTO"` - `"MANUAL"` - `description?: string` Body param - `policy?: string` Body param - `forwarded?: string` Header param ### Returns - `CatalogSyncCreateResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const catalogSync = await client.magicCloudNetworking.catalogSyncs.create({ account_id: 'account_id', destination_type: 'NONE', name: 'name', update_mode: 'AUTO', }); console.log(catalogSync.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "description": "description", "destination_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "destination_type": "NONE", "last_user_update_at": "last_user_update_at", "name": "name", "policy": "policy", "update_mode": "AUTO", "errors": { "foo": { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } }, "includes_discoveries_until": "includes_discoveries_until", "last_attempted_update_at": "last_attempted_update_at", "last_successful_update_at": "last_successful_update_at" }, "success": true } ``` ## Update Catalog Sync `client.magicCloudNetworking.catalogSyncs.update(stringsyncId, CatalogSyncUpdateParamsparams, RequestOptionsoptions?): CatalogSyncUpdateResponse` **put** `/accounts/{account_id}/magic/cloud/catalog-syncs/{sync_id}` Update a Catalog Sync (Closed Beta). ### Parameters - `syncId: string` - `params: CatalogSyncUpdateParams` - `account_id: string` Path param - `description?: string` Body param - `name?: string` Body param - `policy?: string` Body param - `update_mode?: "AUTO" | "MANUAL"` Body param - `"AUTO"` - `"MANUAL"` ### Returns - `CatalogSyncUpdateResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const catalogSync = await client.magicCloudNetworking.catalogSyncs.update( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(catalogSync.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "description": "description", "destination_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "destination_type": "NONE", "last_user_update_at": "last_user_update_at", "name": "name", "policy": "policy", "update_mode": "AUTO", "errors": { "foo": { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } }, "includes_discoveries_until": "includes_discoveries_until", "last_attempted_update_at": "last_attempted_update_at", "last_successful_update_at": "last_successful_update_at" }, "success": true } ``` ## Patch Catalog Sync `client.magicCloudNetworking.catalogSyncs.edit(stringsyncId, CatalogSyncEditParamsparams, RequestOptionsoptions?): CatalogSyncEditResponse` **patch** `/accounts/{account_id}/magic/cloud/catalog-syncs/{sync_id}` Update a Catalog Sync (Closed Beta). ### Parameters - `syncId: string` - `params: CatalogSyncEditParams` - `account_id: string` Path param - `description?: string` Body param - `name?: string` Body param - `policy?: string` Body param - `update_mode?: "AUTO" | "MANUAL"` Body param - `"AUTO"` - `"MANUAL"` ### Returns - `CatalogSyncEditResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.magicCloudNetworking.catalogSyncs.edit( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(response.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "description": "description", "destination_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "destination_type": "NONE", "last_user_update_at": "last_user_update_at", "name": "name", "policy": "policy", "update_mode": "AUTO", "errors": { "foo": { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } }, "includes_discoveries_until": "includes_discoveries_until", "last_attempted_update_at": "last_attempted_update_at", "last_successful_update_at": "last_successful_update_at" }, "success": true } ``` ## Delete Catalog Sync `client.magicCloudNetworking.catalogSyncs.delete(stringsyncId, CatalogSyncDeleteParamsparams, RequestOptionsoptions?): CatalogSyncDeleteResponse` **delete** `/accounts/{account_id}/magic/cloud/catalog-syncs/{sync_id}` Delete a Catalog Sync (Closed Beta). ### Parameters - `syncId: string` - `params: CatalogSyncDeleteParams` - `account_id: string` Path param - `delete_destination?: boolean` Query param ### Returns - `CatalogSyncDeleteResponse` - `id: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const catalogSync = await client.magicCloudNetworking.catalogSyncs.delete( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(catalogSync.id); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" }, "success": true } ``` ## Run Catalog Sync `client.magicCloudNetworking.catalogSyncs.refresh(stringsyncId, CatalogSyncRefreshParamsparams, RequestOptionsoptions?): CatalogSyncRefreshResponse` **post** `/accounts/{account_id}/magic/cloud/catalog-syncs/{sync_id}/refresh` Refresh a Catalog Sync's destination by running the sync policy against latest resource catalog (Closed Beta). ### Parameters - `syncId: string` - `params: CatalogSyncRefreshParams` - `account_id: string` ### Returns - `CatalogSyncRefreshResponse = string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.magicCloudNetworking.catalogSyncs.refresh( '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', { account_id: 'account_id' }, ); console.log(response); ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": "result", "success": true } ``` ## Domain Types ### Catalog Sync List Response - `CatalogSyncListResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Catalog Sync Get Response - `CatalogSyncGetResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Catalog Sync Create Response - `CatalogSyncCreateResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Catalog Sync Update Response - `CatalogSyncUpdateResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Catalog Sync Edit Response - `CatalogSyncEditResponse` - `id: string` - `description: string` - `destination_id: string` - `destination_type: "NONE" | "ZERO_TRUST_LIST"` - `"NONE"` - `"ZERO_TRUST_LIST"` - `last_user_update_at: string` - `name: string` - `policy: string` - `update_mode: "AUTO" | "MANUAL"` - `"AUTO"` - `"MANUAL"` - `errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `includes_discoveries_until?: string` - `last_attempted_update_at?: string` - `last_successful_update_at?: string` ### Catalog Sync Delete Response - `CatalogSyncDeleteResponse` - `id: string` ### Catalog Sync Refresh Response - `CatalogSyncRefreshResponse = string` # Prebuilt Policies ## List Prebuilt Policies `client.magicCloudNetworking.catalogSyncs.prebuiltPolicies.list(PrebuiltPolicyListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/magic/cloud/catalog-syncs/prebuilt-policies` List prebuilt catalog sync policies (Closed Beta). ### Parameters - `params: PrebuiltPolicyListParams` - `account_id: string` Path param - `destination_type?: "NONE" | "ZERO_TRUST_LIST"` Query param: Specify type of destination, omit to return all. - `"NONE"` - `"ZERO_TRUST_LIST"` ### Returns - `PrebuiltPolicyListResponse` - `applicable_destinations: Array<"NONE" | "ZERO_TRUST_LIST">` - `"NONE"` - `"ZERO_TRUST_LIST"` - `policy_description: string` - `policy_name: string` - `policy_string: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const prebuiltPolicyListResponse of client.magicCloudNetworking.catalogSyncs.prebuiltPolicies.list( { account_id: 'account_id' }, )) { console.log(prebuiltPolicyListResponse.applicable_destinations); } ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": [ { "applicable_destinations": [ "NONE" ], "policy_description": "policy_description", "policy_name": "policy_name", "policy_string": "policy_string" } ], "success": true } ``` ## Domain Types ### Prebuilt Policy List Response - `PrebuiltPolicyListResponse` - `applicable_destinations: Array<"NONE" | "ZERO_TRUST_LIST">` - `"NONE"` - `"ZERO_TRUST_LIST"` - `policy_description: string` - `policy_name: string` - `policy_string: string` # On Ramps ## List On-ramps `client.magicCloudNetworking.onRamps.list(OnRampListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/magic/cloud/onramps` List On-ramps (Closed Beta). ### Parameters - `params: OnRampListParams` - `account_id: string` Path param - `desc?: boolean` Query param - `order_by?: string` Query param: One of ["updated_at", "id", "cloud_type", "name"]. - `status?: boolean` Query param - `vpcs?: boolean` Query param ### Returns - `OnRampListResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `dynamic_routing: boolean` - `install_routes_in_cloud: boolean` - `install_routes_in_magic_wan: boolean` - `name: string` - `type: "OnrampTypeSingle" | "OnrampTypeHub"` - `"OnrampTypeSingle"` - `"OnrampTypeHub"` - `updated_at: string` - `attached_hubs?: Array` - `attached_vpcs?: Array` - `cloud_asn?: number` - `description?: string` - `hub?: string` - `last_applied_at?: string` - `last_exported_at?: string` - `last_planned_at?: string` - `manage_hub_to_hub_attachments?: boolean` - `manage_vpc_to_hub_attachments?: boolean` - `planned_monthly_cost_estimate?: PlannedMonthlyCostEstimate` - `currency: string` - `current_monthly_cost: number` - `diff: number` - `proposed_monthly_cost: number` - `planned_resources?: Array` - `diff: Diff` - `diff: string` - `left_description: string` - `left_yaml: string` - `right_description: string` - `right_yaml: string` - `keys_require_replace: Array` - `monthly_cost_estimate_diff: MonthlyCostEstimateDiff` - `currency: string` - `current_monthly_cost: number` - `diff: number` - `proposed_monthly_cost: number` - `planned_action: "no_op" | "create" | "update" | 2 more` - `"no_op"` - `"create"` - `"update"` - `"replace"` - `"destroy"` - `resource: Resource` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `planned_resources_unavailable?: boolean` - `post_apply_monthly_cost_estimate?: PostApplyMonthlyCostEstimate` - `currency: string` - `monthly_cost: number` - `post_apply_resources?: Record` - `id: string` - `account_id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `config: Record` - `deployment_provider: string` - `managed: boolean` - `monthly_cost_estimate: MonthlyCostEstimate` - `currency: string` - `monthly_cost: number` - `name: string` - `native_id: string` - `observations: Record` - `first_observed_at: string` - `last_observed_at: string` - `provider_id: string` - `resource_id: string` - `provider_ids: Array` - `provider_names_by_id: Record` - `region: string` - `resource_group: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `sections: Array
` - `hidden_items: Array` - `helpText?: string` - `name?: string` - `value?: McnStringItem | McnYamlItem | McnYamlDiffItem | 2 more` - `McnStringItem` - `item_type: string` - `string: string` - `McnYamlItem` - `item_type: string` - `yaml: string` - `McnYamlDiffItem` - `item_type: string` - `yaml_diff: YamlDiff` - `diff: string` - `left_description: string` - `left_yaml: string` - `right_description: string` - `right_yaml: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `McnListItem` - `item_type: string` - `list: Array` - `McnStringItem` - `item_type: string` - `string: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `name: string` - `visible_items: Array` - `helpText?: string` - `name?: string` - `value?: McnStringItem | McnYamlItem | McnYamlDiffItem | 2 more` - `McnStringItem` - `item_type: string` - `string: string` - `McnYamlItem` - `item_type: string` - `yaml: string` - `McnYamlDiffItem` - `item_type: string` - `yaml_diff: YamlDiff` - `diff: string` - `left_description: string` - `left_yaml: string` - `right_description: string` - `right_yaml: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `McnListItem` - `item_type: string` - `list: Array` - `McnStringItem` - `item_type: string` - `string: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `help_text?: string` - `state: Record` - `tags: Record` - `updated_at: string` - `url: string` - `managed_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `post_apply_resources_unavailable?: boolean` - `region?: string` - `status?: Status` - `apply_progress: ApplyProgress` - `done: number` - `total: number` - `lifecycle_state: "OnrampNeedsApply" | "OnrampPendingPlan" | "OnrampPlanning" | 9 more` - `"OnrampNeedsApply"` - `"OnrampPendingPlan"` - `"OnrampPlanning"` - `"OnrampPlanFailed"` - `"OnrampPendingApproval"` - `"OnrampPendingApply"` - `"OnrampApplying"` - `"OnrampApplyFailed"` - `"OnrampActive"` - `"OnrampPendingDestroy"` - `"OnrampDestroying"` - `"OnrampDestroyFailed"` - `plan_progress: PlanProgress` - `done: number` - `total: number` - `routes: Array` - `tunnels: Array` - `lifecycle_errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `vpc?: string` - `vpcs_by_id?: Record` - `id: string` - `account_id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `config: Record` - `deployment_provider: string` - `managed: boolean` - `monthly_cost_estimate: MonthlyCostEstimate` - `currency: string` - `monthly_cost: number` - `name: string` - `native_id: string` - `observations: Record` - `first_observed_at: string` - `last_observed_at: string` - `provider_id: string` - `resource_id: string` - `provider_ids: Array` - `provider_names_by_id: Record` - `region: string` - `resource_group: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `sections: Array
` - `hidden_items: Array` - `helpText?: string` - `name?: string` - `value?: McnStringItem | McnYamlItem | McnYamlDiffItem | 2 more` - `McnStringItem` - `item_type: string` - `string: string` - `McnYamlItem` - `item_type: string` - `yaml: string` - `McnYamlDiffItem` - `item_type: string` - `yaml_diff: YamlDiff` - `diff: string` - `left_description: string` - `left_yaml: string` - `right_description: string` - `right_yaml: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `McnListItem` - `item_type: string` - `list: Array` - `McnStringItem` - `item_type: string` - `string: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `name: string` - `visible_items: Array` - `helpText?: string` - `name?: string` - `value?: McnStringItem | McnYamlItem | McnYamlDiffItem | 2 more` - `McnStringItem` - `item_type: string` - `string: string` - `McnYamlItem` - `item_type: string` - `yaml: string` - `McnYamlDiffItem` - `item_type: string` - `yaml_diff: YamlDiff` - `diff: string` - `left_description: string` - `left_yaml: string` - `right_description: string` - `right_yaml: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `McnListItem` - `item_type: string` - `list: Array` - `McnStringItem` - `item_type: string` - `string: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `help_text?: string` - `state: Record` - `tags: Record` - `updated_at: string` - `url: string` - `managed_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `vpcs_by_id_unavailable?: Array` The list of vpc IDs for which resource details failed to generate. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const onRampListResponse of client.magicCloudNetworking.onRamps.list({ account_id: 'account_id', })) { console.log(onRampListResponse.id); } ``` #### Response ```json { "errors": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "messages": [ { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } ], "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "cloud_type": "AWS", "dynamic_routing": true, "install_routes_in_cloud": true, "install_routes_in_magic_wan": true, "name": "name", "type": "OnrampTypeSingle", "updated_at": "updated_at", "attached_hubs": [ "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" ], "attached_vpcs": [ "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" ], "cloud_asn": 0, "description": "description", "hub": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "last_applied_at": "last_applied_at", "last_exported_at": "last_exported_at", "last_planned_at": "last_planned_at", "manage_hub_to_hub_attachments": true, "manage_vpc_to_hub_attachments": true, "planned_monthly_cost_estimate": { "currency": "currency", "current_monthly_cost": 0, "diff": 0, "proposed_monthly_cost": 0 }, "planned_resources": [ { "diff": { "diff": "diff", "left_description": "left_description", "left_yaml": "left_yaml", "right_description": "right_description", "right_yaml": "right_yaml" }, "keys_require_replace": [ "string" ], "monthly_cost_estimate_diff": { "currency": "currency", "current_monthly_cost": 0, "diff": 0, "proposed_monthly_cost": 0 }, "planned_action": "no_op", "resource": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "cloud_type": "AWS", "detail": "detail", "name": "name", "resource_type": "aws_customer_gateway", "title": "title" } } ], "planned_resources_unavailable": true, "post_apply_monthly_cost_estimate": { "currency": "currency", "monthly_cost": 0 }, "post_apply_resources": { "foo": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "account_id": "account_id", "cloud_type": "AWS", "config": { "foo": "bar" }, "deployment_provider": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "managed": true, "monthly_cost_estimate": { "currency": "currency", "monthly_cost": 0 }, "name": "name", "native_id": "native_id", "observations": { "foo": { "first_observed_at": "first_observed_at", "last_observed_at": "last_observed_at", "provider_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "resource_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" } }, "provider_ids": [ "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" ], "provider_names_by_id": { "foo": "string" }, "region": "region", "resource_group": "resource_group", "resource_type": "aws_customer_gateway", "sections": [ { "hidden_items": [ { "helpText": "helpText", "name": "name", "value": { "item_type": "item_type", "string": "string" } } ], "name": "name", "visible_items": [ { "helpText": "helpText", "name": "name", "value": { "item_type": "item_type", "string": "string" } } ], "help_text": "help_text" } ], "state": { "foo": "bar" }, "tags": { "foo": "string" }, "updated_at": "updated_at", "url": "url", "managed_by": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "client_type": "MAGIC_WAN_CLOUD_ONRAMP", "name": "name" } ] } }, "post_apply_resources_unavailable": true, "region": "region", "status": { "apply_progress": { "done": 0, "total": 0 }, "lifecycle_state": "OnrampNeedsApply", "plan_progress": { "done": 0, "total": 0 }, "routes": [ "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" ], "tunnels": [ "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" ], "lifecycle_errors": { "foo": { "code": 1001, "message": "message", "documentation_url": "documentation_url", "meta": { "l10n_key": "l10n_key", "loggable_error": "loggable_error", "template_data": {}, "trace_id": "trace_id" }, "source": { "parameter": "parameter", "parameter_value_index": 0, "pointer": "pointer" } } } }, "vpc": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "vpcs_by_id": { "foo": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "account_id": "account_id", "cloud_type": "AWS", "config": { "foo": "bar" }, "deployment_provider": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "managed": true, "monthly_cost_estimate": { "currency": "currency", "monthly_cost": 0 }, "name": "name", "native_id": "native_id", "observations": { "foo": { "first_observed_at": "first_observed_at", "last_observed_at": "last_observed_at", "provider_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "resource_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" } }, "provider_ids": [ "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" ], "provider_names_by_id": { "foo": "string" }, "region": "region", "resource_group": "resource_group", "resource_type": "aws_customer_gateway", "sections": [ { "hidden_items": [ { "helpText": "helpText", "name": "name", "value": { "item_type": "item_type", "string": "string" } } ], "name": "name", "visible_items": [ { "helpText": "helpText", "name": "name", "value": { "item_type": "item_type", "string": "string" } } ], "help_text": "help_text" } ], "state": { "foo": "bar" }, "tags": { "foo": "string" }, "updated_at": "updated_at", "url": "url", "managed_by": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "client_type": "MAGIC_WAN_CLOUD_ONRAMP", "name": "name" } ] } }, "vpcs_by_id_unavailable": [ "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" ] } ], "success": true } ``` ## Read On-ramp `client.magicCloudNetworking.onRamps.get(stringonrampId, OnRampGetParamsparams, RequestOptionsoptions?): OnRampGetResponse` **get** `/accounts/{account_id}/magic/cloud/onramps/{onramp_id}` Read an On-ramp (Closed Beta). ### Parameters - `onrampId: string` - `params: OnRampGetParams` - `account_id: string` Path param - `planned_resources?: boolean` Query param - `post_apply_resources?: boolean` Query param - `status?: boolean` Query param - `vpcs?: boolean` Query param ### Returns - `OnRampGetResponse` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `dynamic_routing: boolean` - `install_routes_in_cloud: boolean` - `install_routes_in_magic_wan: boolean` - `name: string` - `type: "OnrampTypeSingle" | "OnrampTypeHub"` - `"OnrampTypeSingle"` - `"OnrampTypeHub"` - `updated_at: string` - `attached_hubs?: Array` - `attached_vpcs?: Array` - `cloud_asn?: number` - `description?: string` - `hub?: string` - `last_applied_at?: string` - `last_exported_at?: string` - `last_planned_at?: string` - `manage_hub_to_hub_attachments?: boolean` - `manage_vpc_to_hub_attachments?: boolean` - `planned_monthly_cost_estimate?: PlannedMonthlyCostEstimate` - `currency: string` - `current_monthly_cost: number` - `diff: number` - `proposed_monthly_cost: number` - `planned_resources?: Array` - `diff: Diff` - `diff: string` - `left_description: string` - `left_yaml: string` - `right_description: string` - `right_yaml: string` - `keys_require_replace: Array` - `monthly_cost_estimate_diff: MonthlyCostEstimateDiff` - `currency: string` - `current_monthly_cost: number` - `diff: number` - `proposed_monthly_cost: number` - `planned_action: "no_op" | "create" | "update" | 2 more` - `"no_op"` - `"create"` - `"update"` - `"replace"` - `"destroy"` - `resource: Resource` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `planned_resources_unavailable?: boolean` - `post_apply_monthly_cost_estimate?: PostApplyMonthlyCostEstimate` - `currency: string` - `monthly_cost: number` - `post_apply_resources?: Record` - `id: string` - `account_id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `config: Record` - `deployment_provider: string` - `managed: boolean` - `monthly_cost_estimate: MonthlyCostEstimate` - `currency: string` - `monthly_cost: number` - `name: string` - `native_id: string` - `observations: Record` - `first_observed_at: string` - `last_observed_at: string` - `provider_id: string` - `resource_id: string` - `provider_ids: Array` - `provider_names_by_id: Record` - `region: string` - `resource_group: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `sections: Array
` - `hidden_items: Array` - `helpText?: string` - `name?: string` - `value?: McnStringItem | McnYamlItem | McnYamlDiffItem | 2 more` - `McnStringItem` - `item_type: string` - `string: string` - `McnYamlItem` - `item_type: string` - `yaml: string` - `McnYamlDiffItem` - `item_type: string` - `yaml_diff: YamlDiff` - `diff: string` - `left_description: string` - `left_yaml: string` - `right_description: string` - `right_yaml: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `McnListItem` - `item_type: string` - `list: Array` - `McnStringItem` - `item_type: string` - `string: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `name: string` - `visible_items: Array` - `helpText?: string` - `name?: string` - `value?: McnStringItem | McnYamlItem | McnYamlDiffItem | 2 more` - `McnStringItem` - `item_type: string` - `string: string` - `McnYamlItem` - `item_type: string` - `yaml: string` - `McnYamlDiffItem` - `item_type: string` - `yaml_diff: YamlDiff` - `diff: string` - `left_description: string` - `left_yaml: string` - `right_description: string` - `right_yaml: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `McnListItem` - `item_type: string` - `list: Array` - `McnStringItem` - `item_type: string` - `string: string` - `McnResourcePreviewItem` - `item_type: string` - `resource_preview: ResourcePreview` - `id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `detail: string` - `name: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_route"` - `"aws_vpn_gateway"` - `"aws_security_group"` - `"aws_vpc_security_group_ingress_rule"` - `"aws_vpc_security_group_egress_rule"` - `"aws_ec2_managed_prefix_list"` - `"aws_ec2_transit_gateway"` - `"aws_ec2_transit_gateway_prefix_list_reference"` - `"aws_ec2_transit_gateway_vpc_attachment"` - `"azurerm_application_security_group"` - `"azurerm_lb"` - `"azurerm_lb_backend_address_pool"` - `"azurerm_lb_nat_pool"` - `"azurerm_lb_nat_rule"` - `"azurerm_lb_rule"` - `"azurerm_local_network_gateway"` - `"azurerm_network_interface"` - `"azurerm_network_interface_application_security_group_association"` - `"azurerm_network_interface_backend_address_pool_association"` - `"azurerm_network_interface_security_group_association"` - `"azurerm_network_security_group"` - `"azurerm_public_ip"` - `"azurerm_route"` - `"azurerm_route_table"` - `"azurerm_subnet"` - `"azurerm_subnet_route_table_association"` - `"azurerm_virtual_machine"` - `"azurerm_virtual_network_gateway_connection"` - `"azurerm_virtual_network"` - `"azurerm_virtual_network_gateway"` - `"google_compute_network"` - `"google_compute_subnetwork"` - `"google_compute_vpn_gateway"` - `"google_compute_vpn_tunnel"` - `"google_compute_route"` - `"google_compute_address"` - `"google_compute_global_address"` - `"google_compute_router"` - `"google_compute_interconnect_attachment"` - `"google_compute_ha_vpn_gateway"` - `"google_compute_forwarding_rule"` - `"google_compute_network_firewall_policy"` - `"google_compute_network_firewall_policy_rule"` - `"cloudflare_static_route"` - `"cloudflare_ipsec_tunnel"` - `title: string` - `help_text?: string` - `state: Record` - `tags: Record` - `updated_at: string` - `url: string` - `managed_by?: Array` - `id: string` - `client_type: "MAGIC_WAN_CLOUD_ONRAMP"` - `"MAGIC_WAN_CLOUD_ONRAMP"` - `name: string` - `post_apply_resources_unavailable?: boolean` - `region?: string` - `status?: Status` - `apply_progress: ApplyProgress` - `done: number` - `total: number` - `lifecycle_state: "OnrampNeedsApply" | "OnrampPendingPlan" | "OnrampPlanning" | 9 more` - `"OnrampNeedsApply"` - `"OnrampPendingPlan"` - `"OnrampPlanning"` - `"OnrampPlanFailed"` - `"OnrampPendingApproval"` - `"OnrampPendingApply"` - `"OnrampApplying"` - `"OnrampApplyFailed"` - `"OnrampActive"` - `"OnrampPendingDestroy"` - `"OnrampDestroying"` - `"OnrampDestroyFailed"` - `plan_progress: PlanProgress` - `done: number` - `total: number` - `routes: Array` - `tunnels: Array` - `lifecycle_errors?: Record` - `code: 1001 | 1002 | 1003 | 152 more` - `1001` - `1002` - `1003` - `1004` - `1005` - `1006` - `1007` - `1008` - `1009` - `1010` - `1011` - `1012` - `1013` - `1014` - `1015` - `1016` - `1017` - `1018` - `2001` - `2002` - `2003` - `2004` - `2005` - `2006` - `2007` - `2008` - `2009` - `2010` - `2011` - `2012` - `2013` - `2014` - `2015` - `2016` - `2017` - `2018` - `2019` - `2020` - `2021` - `2022` - `3001` - `3002` - `3003` - `3004` - `3005` - `3006` - `3007` - `4001` - `4002` - `4003` - `4004` - `4005` - `4006` - `4007` - `4008` - `4009` - `4010` - `4011` - `4012` - `4013` - `4014` - `4015` - `4016` - `4017` - `4018` - `4019` - `4020` - `4021` - `4022` - `4023` - `5001` - `5002` - `5003` - `5004` - `102000` - `102001` - `102002` - `102003` - `102004` - `102005` - `102006` - `102007` - `102008` - `102009` - `102010` - `102011` - `102012` - `102013` - `102014` - `102015` - `102016` - `102017` - `102018` - `102019` - `102020` - `102021` - `102022` - `102023` - `102024` - `102025` - `102026` - `102027` - `102028` - `102029` - `102030` - `102031` - `102032` - `102033` - `102034` - `102035` - `102036` - `102037` - `102038` - `102039` - `102040` - `102041` - `102042` - `102043` - `102044` - `102045` - `102046` - `102047` - `102048` - `102049` - `102050` - `102051` - `102052` - `102053` - `102054` - `102055` - `102056` - `102057` - `102058` - `102059` - `102060` - `102061` - `102062` - `102063` - `102064` - `102065` - `102066` - `102067` - `102068` - `102069` - `102070` - `102071` - `102072` - `103001` - `103002` - `103003` - `103004` - `103005` - `103006` - `103007` - `103008` - `message: string` - `documentation_url?: string` - `meta?: Meta` - `l10n_key?: string` - `loggable_error?: string` - `template_data?: unknown` - `trace_id?: string` - `source?: Source` - `parameter?: string` - `parameter_value_index?: number` - `pointer?: string` - `vpc?: string` - `vpcs_by_id?: Record` - `id: string` - `account_id: string` - `cloud_type: "AWS" | "AZURE" | "GOOGLE" | "CLOUDFLARE"` - `"AWS"` - `"AZURE"` - `"GOOGLE"` - `"CLOUDFLARE"` - `config: Record` - `deployment_provider: string` - `managed: boolean` - `monthly_cost_estimate: MonthlyCostEstimate` - `currency: string` - `monthly_cost: number` - `name: string` - `native_id: string` - `observations: Record` - `first_observed_at: string` - `last_observed_at: string` - `provider_id: string` - `resource_id: string` - `provider_ids: Array` - `provider_names_by_id: Record` - `region: string` - `resource_group: string` - `resource_type: "aws_customer_gateway" | "aws_egress_only_internet_gateway" | "aws_internet_gateway" | 54 more` - `"aws_customer_gateway"` - `"aws_egress_only_internet_gateway"` - `"aws_internet_gateway"` - `"aws_instance"` - `"aws_network_interface"` - `"aws_route"` - `"aws_route_table"` - `"aws_route_table_association"` - `"aws_subnet"` - `"aws_vpc"` - `"aws_vpc_ipv4_cidr_block_association"` - `"aws_vpn_connection"` - `"aws_vpn_connection_r
[...]
